
package dao;

import java.util.Date;
import java.util.List;

import trip.Company;
import trip.Person;
import trip.Route;
import trip.Stop;
import trip.Trip;

public interface TripDAO extends GenericDao<Trip> {
	List<Trip> getActive();
	List<Trip> getByPerson(Person person);
	List<Trip> getByRoute(Route route);
	List<Trip> getByFilters(Date in, 
							Date out, 
							Stop departure, 
							Stop arrival, 
							Integer seats, 
							Integer minprice,
							Integer maxprice,
							Integer minstops, 
							Integer maxstops,
							Integer number,
							List<Company> companies);
}
